Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Value_Header Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Value_Header:

[legend]
Collaboration diagram for TAO_PSDL_Value_Header:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Value_Header (TAO_PSDL_Node *value_common_base, TAO_PSDL_Node *value_inheritance_spec)
| ****************************************************************. More...
| TAO_PSDL_Value_Header (TAO_PSDL_Node *custom, TAO_PSDL_Node *value_common_base, TAO_PSDL_Node *value_inheritance_spec)
virtual | ~TAO_PSDL_Value_Header (void)
TAO_PSDL_Node * | custom (void) const
| Get the value. More...
TAO_PSDL_Node * | value_common_base (void) const
TAO_PSDL_Node * | value_inheritance_spec (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | custom_
| The values. More...
TAO_PSDL_Node * | value_common_base_
TAO_PSDL_Node * | value_inheritance_spec_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Value_Header::TAO_PSDL_Value_Header | ( | TAO_PSDL_Node * | value_common_base,
|  | TAO_PSDL_Node * | value_inheritance_spec
| ) |

| ****************************************************************.

TAO_PSDL_Value_Header::TAO_PSDL_Value_Header | ( | TAO_PSDL_Node * | custom,
|  | TAO_PSDL_Node * | value_common_base,
|  | TAO_PSDL_Node * | value_inheritance_spec
| ) |

TAO_PSDL_Value_Header::~TAO_PSDL_Value_Header | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Value_Header::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Value_Header::custom | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Value_Header::value_common_base | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Value_Header::value_inheritance_spec | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Value_Header::custom_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Value_Header::value_common_base_`[private]`

TAO_PSDL_Node* TAO_PSDL_Value_Header::value_inheritance_spec_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp